import { connect } from "./frontend/connect/connect.js";
import { mockConnect } from "./frontend/connect/mock/mock-connect.js";
import { assembleAndInitializeFrontend } from "./frontend/assemble-and-initialize-frontend.js";
import { applyMockHacks } from "./frontend/mocks/apply-mock-hacks.js";
export async function assembleXiome(config) {
    const isMock = config.mock;
    const connection = isMock
        ? await mockConnect(config)
        : await connect(config);
    const frontend = await assembleAndInitializeFrontend(connection);
    if (isMock)
        applyMockHacks({
            connection: connection,
            frontend,
        });
    return { ...connection, ...frontend };
}
//# sourceMappingURL=assemble-xiome.js.map