import { getComponents } from "./get-components.js";
import { assembleModels } from "./assemble-models.js";
import { setupModalSystem } from "./modal/setup-modal-system.js";
import { loginWithLinkTokenOrUseExistingLogin } from "./auth/login-with-link-token-or-use-existing-login.js";
export async function assembleAndInitializeFrontend({ appId, popups, storage, authMediator, remote, }) {
    const { modals, modalsElement } = setupModalSystem();
    const models = await assembleModels({
        appId,
        remote,
        popups,
        storage,
        authMediator,
    });
    const components = getComponents({ models, modals });
    await loginWithLinkTokenOrUseExistingLogin({
        accessModel: models.accessModel,
        link: window.location.toString(),
    });
    return { components, models, modals, modalsElement };
}
//# sourceMappingURL=assemble-and-initialize-frontend.js.map