export function readXiomeConfigElement() {
    const xiomeConfig = document.querySelector("xiome-config");
    if (!xiomeConfig)
        throw new Error(`<xiome-config> is required`);
    const attribute = (attr) => xiomeConfig.getAttribute(attr) ?? undefined;
    const fresh = {
        mock: attribute("mock"),
        appId: attribute("app"),
        apiOrigin: attribute("api"),
        platformOrigin: attribute("platform"),
    };
    const mock = fresh.mock === undefined
        ? undefined
        : fresh.mock === "platform"
            ? "platform"
            : "app";
    return mock
        ? { mock }
        : {
            appId: fresh.appId,
            apiOrigin: fresh.apiOrigin,
            platformOrigin: fresh.platformOrigin,
        };
}
//# sourceMappingURL=read-xiome-config-element.js.map