import { makeLoginLink } from "./make-login-link.js";
import { minute } from "../../../../toolbox/goodtimes/times.js";
export function prepareSendLoginEmail({ sendEmail }) {
    return async function sendLoginEmail({ to, appHome, appLabel, lifespan, legalLink, loginToken, platformLink, }) {
        const loginLink = makeLoginLink({ loginToken, home: appHome });
        const minutesLeft = (lifespan / minute).toFixed(0);
        return sendEmail({
            to,
            subject: `Login to ${appLabel}`,
            body: (`
Login link for ${appLabel} (expires in ${minutesLeft} minutes)

 » ${loginLink} «

If you didn't request this login link, just ignore it

 * logins powered by ${platformLink} *
 * policies and terms of service ${legalLink} *
`),
        });
    };
}
//# sourceMappingURL=send-login-email.js.map